Bug 389616 - Display number of search results somewhere in the UI
Summary: Display number of search results somewhere in the UI
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-29 20:43 UTC by Nate Graham
Modified: 2022-01-27 19:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-01-29 20:43:05 UTC
When you search for apps, it would be nice if the number of found results was displayed somewhere in the UI. I don't know why, but seeing this always makes me feel comfortable after a search, and not seeing it makes me feel unmoored, especially if there are more results than fit on the page. Are there 10? 100? 1000? Knowing the number makes me feel more in informed and in control.
Comment 1 Aleix Pol 2018-02-22 19:47:14 UTC
This is controversial. For applications it's not a problem, for KNS results we're limiting the search at some point, so it wouldn't be accurate to say there's 500 wallpapers.

Shouldn't the scroll bar be for that anyway?
Comment 2 Nate Graham 2018-02-22 19:49:38 UTC
How about just "500+ search results" for huge lists? Heck, that's what Bugzilla does here!
Comment 3 Bug Janitor Service 2022-01-20 19:00:07 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/231
Comment 4 Aleix Pol 2022-01-27 19:54:01 UTC
Git commit 5711fdbf7ae093318bc70d2536885cc28411fd7c by Aleix Pol.
Committed on 27/01/2022 at 17:52.
Pushed by ngraham into branch 'master'.

Provide a count of elements on the ApplicationsListPage title

Something like "Education - 3523 results"

In case all applications have not been fetched yet, we only show the
most relevant digit and the magnitude "Education - 3000+ results".

M  +25   -4    discover/qml/ApplicationsListPage.qml
M  +28   -0    libdiscover/resources/ResourcesProxyModel.cpp
M  +4    -0    libdiscover/resources/ResourcesProxyModel.h

https://invent.kde.org/plasma/discover/commit/5711fdbf7ae093318bc70d2536885cc28411fd7c